$ErrorActionPreference = 'Stop';

$packageName= 'invantive-data-hub'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-17.23.8-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-17.23.8-BETA.msi'
  softwareName = 'Invantive Data Hub'
  checksum = '712D6F22BB777B3CE1542DE1C6E5542B726C791CF4B0DBCBAD5F654B275A7614'
  checksumType = 'sha256'
  checksum64 = '712D6F22BB777B3CE1542DE1C6E5542B726C791CF4B0DBCBAD5F654B275A7614'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-data-hub-17.23.8-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
